<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" xmlns:dcif="http://www.isocat.org/ns/dcif" xmlns:dcr="http://www.isocat.org/ns/dcr.rdf#" xmlns:isocat="http://www.isocat.org/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" exclude-result-prefixes="dcif isocat">
    <xsl:output method="xml" encoding="utf-8" indent="yes"/>
    <xsl:variable name="NL" select="system-property('line.separator')"/>
    <xsl:variable name="indent" select="'&#160;&#160;&#160;&#160;'"/>
    <xsl:template match="text()"/>
    <xsl:template match="dcif:dataCategorySelection">
        <rdf:RDF>
            <xsl:apply-templates/>
        </rdf:RDF>
    </xsl:template>
    <xsl:template match="dcif:dataCategory">
        <rdf:Description>
            <xsl:attribute name="rdf:about" select="@pid"/>
            <xsl:for-each select=".//dcif:languageSection">
                <xsl:variable name="lang" select=".//dcif:language"/>
                <xsl:choose>
                    <xsl:when test=".//dcif:nameStatus[normalize-space(.) eq 'preferred name']">
                        <rdfs:label xml:lang="{$lang}">
                            <xsl:value-of select="(.//dcif:nameStatus[normalize-space(.) eq 'preferred name']/../dcif:name)[1]"/>
                        </rdfs:label>
                    </xsl:when>
                    <xsl:when test=".//dcif:nameStatus[normalize-space(.) eq 'standardized name']">
                        <rdfs:label xml:lang="{$lang}">
                            <xsl:value-of select="(.//dcif:nameStatus[normalize-space(.) eq 'standardized name']/../dcif:name)[1]"/>
                        </rdfs:label>
                    </xsl:when>
                    <xsl:when test=".//dcif:nameStatus[normalize-space(.) eq 'admitted name']">
                        <rdfs:label xml:lang="{$lang}">
                            <xsl:value-of select="(.//dcif:nameStatus[normalize-space(.) eq 'admitted name']/../dcif:name)[1]"/>
                        </rdfs:label>
                    </xsl:when>
                    <xsl:when test="$lang eq 'en'">
                        <rdfs:label xml:lang="{$lang}">
                            <xsl:value-of select="ancestor::dcif:dataCategory/dcif:administrationInformationSection/dcif:administrationRecord/dcif:identifier"/>
                        </rdfs:label>
                    </xsl:when>
                </xsl:choose>
                <xsl:if test="exists(./dcif:definitionSection[1]/dcif:definition)">
                    <rdfs:comment xml:lang="{$lang}">
                        <xsl:value-of select="./dcif:definitionSection[1]/dcif:definition"/>
                    </rdfs:comment>
                </xsl:if>
            </xsl:for-each>
        </rdf:Description>
    </xsl:template>
</xsl:stylesheet>
